#ifndef CORE_PLANE_H
#define CORE_PLANE_H

#include "core/Vector.h"

struct PlaneT {
    Vector3 abc;
    float d;
};
typedef struct PlaneT Plane;

void initPlane(Plane* p, const Vector3* a, const Vector3* b, const Vector3* c);
float signedDistance(const Plane* p, const Vector3* v);

#endif
